diff --git a/src/mod_pcb_cli_common.c b/src/mod_pcb_cli_common.c
index 4d1a4ee..237605b 100644
--- a/src/mod_pcb_cli_common.c
+++ b/src/mod_pcb_cli_common.c
@@ -121,11 +121,11 @@ amxb_bus_ctx_t* mod_pcb_cli_get_bus_ctx(const char* input_path) {
     }
 
     if((input_path != NULL) && (*input_path != 0)) {
-        amxd_path_init(&path, input_path);
-        fixed_part = amxd_path_get_fixed_part(&path, false);
-
-        bus_ctx = amxb_be_who_has(fixed_part);
-
+        int retval = amxd_path_init(&path, input_path);
+        if (retval == amxd_status_ok) {
+            fixed_part = amxd_path_get_fixed_part(&path, false);
+            bus_ctx = amxb_be_who_has(fixed_part);
+        }
         amxd_path_clean(&path);
         free(fixed_part);
     }
